Bug 431683 - Review Request: evolution-rspam - Evolution Plugin for reporting spam
Review Request: evolution-rspam - Evolution Plugin for reporting spam
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 08:55 EST by Lucian Langa
Modified: 2008-09-16 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 13:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-02-06 08:55:06 EST
Spec URL: http://mips.edu.ms/rspam.spec
SRPM URL: http://mips.edu.ms/rspam-0.0.6-1.fc8.src.rpm
Description: Rspam Evolution Plugin enables Evolution Mail client to report email messages as spam to checksum-based and statistical filtering networks.
It supports Razor network, DCC, SpamCop and Pyzor.

This is one of my first packages and I need a sponsor.
Comment 1 Lucian Langa 2008-02-08 09:20:05 EST
Please use the following URLs instead

Spec URL: http://gnome.eu.org/rspam.spec
SRPM URL: http://gnome.eu.org/rspam-0.0.6-1.fc8.src.rpm

sorry for the inconvenience.
Comment 2 Guidolin Francesco 2008-02-12 09:14:16 EST
This is an unofficial review, I can't approve your package or sponsor you.

[+] rpmlint is silent 
[+] the package build in mock
[-] don't use %define for name, version and release
[-] the URL:http://mips.edu.ms/evo/index.php/Report_as_Spam doesn't seem to be 
related with this program. 
[-] the recommended value for the BuildRoot 
is %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Comment 3 Lucian Langa 2008-02-12 09:50:04 EST
> This is an unofficial review, I can't approve your package or sponsor you.
Thanks for help.



> [-] don't use %define for name, version and release
fixed

> [-] the URL:http://mips.edu.ms/evo/index.php/Report_as_Spam doesn't seem to be 
> related with this program. 
updated to the new url


> [-] the recommended value for the BuildRoot 
> is %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
fixed

Comment 4 Guidolin Francesco 2008-02-13 04:38:40 EST
Ok, to me the package seems good.
If you like you can use:
find %{buildroot} -name \*\.la -delete
instead of:
find %{buildroot} -name \*\.la -print | xargs rm -f

Comment 5 Mamoru TASAKA 2008-02-17 12:51:46 EST
Removing NEEDSPONSOR (bug 430070)
Comment 6 Dave Malcolm 2008-07-03 11:37:10 EDT
Adding mbarnes (evolution maintainer) to CC

I don't know if we have any guidelines here, but it seems to me that it might be
good for Fedora packages containing evolution plugins to have a "evolution-" or
"evolution-plugin-" prefix or somesuch.  Not sure if it's worth overriding the
upstream name in this way.  Have any other out-of-tree evolution plugins been
packaged for Fedora yet?
Comment 7 Lucian Langa 2008-07-03 12:42:10 EDT
(In reply to comment #6)
> Have any other out-of-tree evolution plugins been
> packaged for Fedora yet?

yes, my other plugin evolution-rss.
Comment 8 Matthew Barnes 2008-07-03 12:47:33 EDT
Just for clarity I think I'd prefer "evolution-rspam" as the package name.
Comment 10 Mamoru TASAKA 2008-07-14 11:20:05 EDT
* Please consider to use
  make install DESTDIR=%{buildroot} DESTDIR="install -p"
  to keep timestamps on installed files

* Calling /sbin/ldconfig on scriptlets is not needed for this package, as no
libraries
  are installed under default ld search paths.

Other things seem okay.
Comment 11 Lucian Langa 2008-07-14 12:40:20 EDT
Hello Mamoru,
thanks for doing this

I've incorporated the modification and bump version.
new files:
http://lucilanga.fedorapeople.org/evolution-rspam.spec
http://lucilanga.fedorapeople.org/evolution-rspam-0.0.6-3.fc9.src.rpm
Comment 12 Mamoru TASAKA 2008-07-14 12:51:05 EDT
Okay.

----------------------------------------------------------------------------
           This package (evolution-rspam) is APPROVED by me
----------------------------------------------------------------------------
Comment 13 Lucian Langa 2008-07-14 13:07:42 EDT
New Package CVS Request
=======================
Package Name: evolution-rspam
Short Description: Evolution Plugin for reporting spam
Owners: lucilanga
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-07-14 15:34:48 EDT
cvs done.
Comment 15 Fedora Update System 2008-07-15 10:49:49 EDT
evolution-rspam-0.0.6-3.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-09-16 19:25:27 EDT
evolution-rspam-0.0.6-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.